Summary: A small utility for safely making /tmp files.
Name: mktemp
Version: 1.13
Release: 3tr
License: BSD
Group: Trustix Official
Source: ftp://ftp.openbsd.org/pub/OpenBSD/src/usr.bin/mktemp-%{version}.tar.gz
Patch0: mktemp-1.13-linux.patch
Url: http://www.openbsd.org
Buildroot: /var/tmp/mktemp

%description
The mktemp utility takes a given file name template and overwrites
a portion of it to create a unique file name.  This allows shell
scripts and other programs to safely create and use /tmp files.

Install the mktemp package if you need to use shell scripts or other
programs which will create and use unique /tmp files.

%prep
%setup -q
%patch0 -p1

%build
make

%install
mkdir -p ${RPM_BUILD_ROOT}/bin ${RPM_BUILD_ROOT}/usr/share/man/man1
install -o root -g root -m 755 mktemp ${RPM_BUILD_ROOT}/bin
install -o root -g root -m 644 mktemp.1 ${RPM_BUILD_ROOT}/usr/share/man/man1

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/bin/mktemp
/usr/share/man/man1/mktemp.1*

%changelog
* Fri Dec  5 2003 Erlend Midttun <erlendbm at trustix dot org> 1.13-1tr
- New upstream.

* Mon Jun 23 2003 Erlend Midttun <erlendbm at trustix dot com> 1.5-9tr
- Added %defattr.

* Wed Jun 18 2003 Erlend Midttun <erlendbm at trustix dot com> 1.5-8tr
- Big rebuild

* Mon Mar 24 2003 Erlend Midttun <erlendbm at trustix dot com> 1.5-7em
- Rebuilt against glibc 2.3.2.

* Tue Jul 23 2002 Daniel Meyer <eagle at trustix dot org> 1.5-6dm
- rebuild for Trustix Secure Linux 2.0

* Wed Jun  6 2001 Oystein Viggen <oysteivi at trustix dot com>
- Snarf RH updates

* Sun Nov 26 2000 Oystein Viggen <oysteivi at trustix dot com>
- Update from openbsd current cvs, and correct some stuff in the man page.

* Mon Mar 22 1999 Erik Troan <ewt@redhat.com>
- sync'd man page with openbsd latest, and updated it for some Linux-specific
  changes

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 5)

* Tue Dec 29 1998 Cristian Gafton <gafton@redhat.com>
- build for 6.0

* Thu May 07 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Wed Oct 01 1997 Erik Troan <ewt@redhat.com>
- moved to /bin

